Bug 166214 - [patch] deskutils/x-tile: Change port version: desktutils/x-tile A tiling application for X
Summary: [patch] deskutils/x-tile: Change port version: desktutils/x-tile A tiling app...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-18 03:00 UTC by Scrootie
Modified: 2012-03-25 19:42 UTC (History)
0 users

See Also:


Attachments
file.shar (4.53 KB, text/plain)
2012-03-18 03:00 UTC, Scrootie
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Scrootie 2012-03-18 03:00:28 UTC
Update deskutils/x-tile port version.

Unshar the x-tile221.shar file following the paths:

/usr/port/deskutils/x-tile/Makefile
/usr/port/deskutils/x-tile/distinfo
/usr/port/deskutils/x-tile/pkg-descr
/usr/port/deskutils/x-tile/pkg-plist
/usr/port/deskutils/x-tile/files/patch-x-tile

Fix: Please, create the files/patch-x-tile file with these contents:


$FreeBSD: ports/deskutils/x-tile/files/patch-x-tile,v 1.1 2011/08/31 11:43:08 crees Exp $

Fix ctypes warning, by Ruslan Mahmatkhanov <cvs-src@yandex.ru>

--- x-tile.orig	2011-07-04 01:41:29.000000000 +0400
+++ x-tile	2011-08-22 20:20:30.000000000 +0400
@@ -56,7 +56,7 @@
 try:
    libc = ctypes.cdll.LoadLibrary(ctypes.util.find_library("libc"))
    libc.prctl(15, cons.APP_NAME, 0, 0, 0)
-except: print "libc.prctl not available, the process name will be python and not x-tile"
+except: pass
 
 # icons generation
 factory = gtk.IconFactory()


Patch attached with submission follows:
Comment 1 Glen Barber freebsd_committer 2012-03-18 03:08:48 UTC
Class Changed
From-To: update->maintainer-update

Ports PR. 



Comment 2 Glen Barber freebsd_committer 2012-03-18 03:08:48 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

Maintainer update.
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-03-25 14:38:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 4 dfilter service freebsd_committer 2012-03-25 19:38:17 UTC
rm          2012-03-25 18:38:05 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/x-tile     Makefile distinfo pkg-descr pkg-plist 
  Log:
  - update to 2.2.1
  
  PR:             166214
  Submitted by:   Pedro Garcia Freitas <sawp at sawp.com dot br> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.3       +2 -4      ports/deskutils/x-tile/Makefile
  1.3       +2 -2      ports/deskutils/x-tile/distinfo
  1.2       +1 -1      ports/deskutils/x-tile/pkg-descr
  1.3       +0 -1      ports/deskutils/x-tile/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2012-03-25 19:42:51 UTC
State Changed
From-To: open->closed

Committed, thank you!